Subject: Re: [PATCH net-next v3 02/14] net: bridge: mcast: track active state, adding tests

From: Linus Lüssing <[email-masked]>
Date: Mon, 2 Mar 2026 09:08:58 +0100

On Mon, Mar 02, 2026 at 06:39:56AM +0100, Linus Lüssing wrote:
> Before making any significant changes to the internals of the Linux
> bridge add some tests regarding the multicast activity. This is
> also to verify that we have the semantics of the new
> *_MCAST_ACTIVE_{V4,V6} netlink attributes as expected.
> 
> Signed-off-by: Linus Lüssing <[email-masked]>
> ---

Sorry, I might need some guidance on what the checks patchwork
lists want from me here.

I'm running the tests with the following command without any
issues:

PATH="/mnt/net/iproute2/ip/:/mnt/net/iproute2/bridge/:$PATH" make -C tools/testing/selftests TARGETS="net/forwarding" TEST_GEN_PROGS="" TEST_PROGS="bridge_mdb_active.sh" run_tests

But why does shellcheck list so many errors with
"This function is never invoked." Even though they are invoked
with my above command?

I also don't get what netdev/check_selftest wants from me. I only
see "FAILED" here? https://netdev-ctrl.bots.linux.dev/logs/build/1059784/14444497/check_selftest/summary

Regards, Linus